body{
  color: #fff;
  font-family: 'Roboto', sans-serif;
  overflow: hidden;
}

.background {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
}

.background iframe {
    border: 0;
    /* width: 100%;
    height: 100%; */
}

.background .bg-media {
    /* width: 100%;
    height: 100%; */
}

.background .bg-media {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  pointer-events: none;
  overflow: hidden;
}

/* Make the iframe keep an aspect ratio, and
position it in the middle of its parent wrapper*/

.background .bg-media iframe {
  width: 100vw;
  height: 56.25vw; /* Given a 16:9 aspect ratio, 9/16*100 = 56.25 */
  min-height: 100vh;
  min-width: 177.77vh; /* Given a 16:9 aspect ratio, 16/9*100 = 177.77 */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.background .bg-overlay {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgb(41 28 14 / 60%);

    /* display: none; */
}


.nav ul, .nav li {
    list-style: none;
    padding: 0;
    margin: 0;
}

.nav li.nav-item {
    border-left: 1px solid #fff;
    padding: 0px;
    opacity: 0;
    width: 100px;
    height: 60px;
    /* transition: all 1s ease; */
    transition: width 5s ease, background 0.5s ease, height 1s ease;
    position: relative;

}




.nav-sub {
  opacity: 0;
  height: 0;
  transition: all 0.5s;
  pointer-events: none;
  margin: 1px -1px;
  background:  rgb(255 255 255 / 40%);
  transition: width 1s ease, background 0.5s ease, height 1s ease, opacity 0.5s ease;

  /* position: relative; */
  position: absolute;
  min-width: 100%;

    top: -1px;
    padding-top: 60px;
}

.nav-sub:before {
    content: '';
    position: absolute;
    left: 0;
    width: 1px;
    background: #fff;
    height: 0%;
    transition: all .5s;

}

.nav-sub > ul {
    padding: 20px;
    transform: translateY(-10px);
    transition: all .5s;
}

.nav-sub > ul li {
    margin-bottom: 2px;
    font-size: 14px;
    white-space: nowrap;
}

.nav-sub > ul > li > ul {
    padding: 2px 10px;
}


a.nav-main-link {
    padding: 35px 20px 0px;
    display: block;
    text-transform: uppercase;
    position: relative;
z-index: 1;
}

li.nav-item:hover {
    /* background: rgb(255 255 255 / 40%); */
}


li.nav-item:hover .nav-sub {
  height: auto;
  opacity: 1;
  pointer-events: all;
}
li.nav-item:hover .nav-sub:before  {
  height: calc(100% - 60px);
}
li.nav-item:hover .nav-sub > ul  {

  transform: translateY(0px);
}



.nav > ul {
    display: flex;
    margin-left: auto;
    margin-right: auto;
    width: 100%;

    justify-content: center;
    align-items: flex-start;
}

header{
  opacity: 0;
  pointer-events: none;
  transition: all 1s;
}

header a{
  color: #fff;
  text-decoration: none;
}

header a:hover{
  color: #d6d6d6;
  text-decoration: none;


}



.part-contact {
    position: absolute;
    bottom: 50px;
    right: 0;
    min-width: 30%;
    width: 400px;
}

.nav-sub > ul > li > ul {
    padding: 2px 10px;
}

.part-contact .hr {
    margin: 12px 0;
    opacity: 0;
    transition: all 1s;
    transform: translateY(50px);
}

.part-contact .contact-headline {
    text-transform: uppercase;
    font-size: 16px;
    opacity: 0;
    pointer-events: none;
    transition: all 1s;
    transform: translateX(50px);
}

.part-contact .contact-details{
  opacity: 0;
  pointer-events: none;
  transition: all 1s;
      transform: translateY(-20px);
}


.part-contact .contact-details a {
    color: #fff;
    text-decoration: none !important;
    margin-right: 10px;
}

.part-contact .contact-details img {
    width: 17px;
    position: relative;
    top: -4px;
}


.part-contact:hover .contact-details{
  opacity: 1;
  pointer-events: all;
      transform: translateY(0px);

}

.background .bg-media img {
    width: 100%;
}

.hr {
    width: 100%;
    height: 1px;
    background: #fff;

}


.part-1 .hr {
    margin: 20px 0 30px;
    transition: all 1s;
    opacity: 0;
        transform: translateY(-200px);
}

.part-1 {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    z-index: 9;
    height: 200px;
}

.welcome {
    text-align: center;
    opacity: 0;
    font-size: 22px;
    margin-bottom: 15px;
    letter-spacing: 1px;
    transition: all 0.7s;
    transition-delay: 0.3s;
    transform:  translateX(-200px);
}

.name {
      font-size: 28px;
      opacity: 0;
      font-weight: 100;
      transition: all 1s;
      width: 100%;
      height: 40px;
      position: relative;
      transform:  translateX(200px);
}

.name > .wrap {
  transform: translateX(-50%);
  position: absolute;
  left: 50%;
    transition: all 1s;
    transition-delay: 0.06s;
}

.part-1 .name > .wrap > .wrap2 {
  transition: all 1s;
  left: 0;
  position: relative;
  right: 100%;
  text-align: right;
  white-space: nowrap;
  width: 100%;
}
.part-1 .name > .wrap > .wrap2 > .wrap3 {
  transition: all 1s;
  left: 0;
  position: relative;
  right: 100%;
  text-align: right;
  white-space: nowrap;
  width: 0%;
}


.name img {
    width: 47px;
    margin-right: 5px;
    position: relative;
    top: -3px;
  max-width: none;
}

.main-button {
    text-align: center;
    display: inline-block;
  vertical-align: top;
  width: 100%;
  position: relative;
  transition: all 1s;
  opacity: 0;

  transform: translateY(200px);
}

.main-button > .wrap {
  transform: translateX(-50%);
  position: absolute;
  left: 50%;
  transition: all 1s;
}


.btn-primary {
    overflow: hidden;
    border-radius: 25px;
    padding: 0;
    background: transparent !important;
    box-shadow: inset 0 0 0 1px #fff;
    position: relative;
    width: 150px;
    cursor: pointer;
}

.btn > span.btn-txt-a {
    background: #fff;
    padding: 7px 15px;
    display: block;
    color: #111;
    position: absolute;
    width: 100%;
    border-radius: 25px;
    transition: all 0.7s;
    z-index: 1;
}

.btn > span.btn-txt-b {
    padding: 7px 15px;
    display: block;
    transition: all 0.4s;
    transform: scale(0.8);
    opacity: 0.5;
    transition-delay: 0.2s;
}

.btn:hover > span.btn-txt-a{
  transform: translateX(-150px);
}
.btn:hover > span.btn-txt-b{
  transform: scale(1);
  opacity: 0.9;
}


.description {
    font-size: 22px;
    line-height: 39px;
    font-weight: 100;
    pointer-events: none;
}


.desc-a {
  width: 50%;
  vertical-align: top;
  margin-top: -10px;
  transition: all 1s;
  transition-delay: 0.1s;
  display: inline-block;
  opacity: 0;
  transform: translateX(50px);
  position: absolute;
  right: 0;
}

.desc-a > .wrap{
  max-width: 395px;

}


.desc-b {
  width: 35%;
  vertical-align: top;
  margin-top: -10px;
  transition: all 1s;
  transition-delay: 0.1s;
  display: inline-block;
  opacity: 0;
  transform: translateX(-50px);
  position: absolute;
  left: 0;
  text-align: right;
}

.desc-b > .wrap{
  max-width: 395px;

}
li.nav-item.invisible{
  border: 0;
}


header{
  display: none;
}





.p-1-s-0 .welcome{
  opacity: 0.8;
    transform: translateY(40px) translateX(0px);
}
.p-1-s-0 .name{
  opacity: 0.8;
      transform: translateY(90px) translateX(0px);
}

.p-1-s-0 .part-1 .hr {
    opacity: 1;
        transform: translateY(0px);
}





.p-1-s-1 .welcome{
  opacity: 0.8;
    transform: translateY(0px) translateX(0px);
}
.p-1-s-1 .name{
  opacity: 0.8;
      transform: translateY(0px) translateX(0px);
}

.p-1-s-1 .part-1 .hr {
      opacity: 1;
      transform: translateY(0px);
}

.p-1-s-1 .main-button {
  opacity: 1;
  transform: translateY(0px);
}






.p-1-s-2 .welcome{
  opacity: 0;
  pointer-events: none;
}

.p-1-s-2 .part-1 .hr {
    width: 60%;
    margin-left: auto;
}
.p-1-s-2 .part-1 .name {
    /* width: 100%; */
    /* margin-left: auto; */
}
.p-1-s-2 .part-1 .name > .wrap {
  /* transform: translateX(100%);
  left: 0; */


  /* width: 100%; */
}
.p-1-s-2 .part-1 .name > .wrap > .wrap2 {
  width: 50%;
  /* left: 50%; */
  margin-left: 50%;
  transform: translateX(0%);
}

.p-1-s-2 .part-1 .name > .wrap > .wrap2 > .wrap3 {
  width: 0%;
}

.p-1-s-2 .main-button {
    width: 78%;
    /* width: 48%; */
}
.p-1-s-2 .main-button > .wrap {
  /* transform: translateX(-100%);
  left: calc(100% - 100px); */
}
.p-1-s-2 .desc-a {


    margin-left: 2%;

display: inline-block;
        transform: translateX(0px);
          opacity: 0.8;
}


.p-1-s-2 header{
  display: block;
}





.p-1-s-3 .part-1 .name {
  width: 100%;
}

.p-1-s-3 .part-1 .name > .wrap {
  text-align: right;
      transform: translateX(0%);
      left: 0;
      width: 35%;
}
.p-1-s-3 .part-1 .name > .wrap > .wrap2 {

  width: 100%;
    margin-left: 0;
}
.p-1-s-3 .part-1 .name > .wrap > .wrap2 > .wrap3 {
  width: 100%;
}


.p-1-s-3 .part-1 .hr {
    transform: translateX(-90%);
}


.p-1-s-3 .main-button {
    opacity: 0;
    pointer-events: none;
}

.p-1-s-3 .desc-a {
    transform: translateX(100px);
    opacity: 0;
}

.p-1-s-3 .desc-b {


  display: inline-block;
          transform: translateX(0px);
            opacity: 0.8;
}


.p-1-s-3 header {
  opacity: 1;
  pointer-events: all;
}


.p-1-s-3 .nav li.nav-item {
  width: 180px;
  opacity: 1;
  flex: 0 0 180px;
    transition: all 1s;
}
.p-1-s-3 .nav li.nav-item:last-of-type {
  width: 270px;
  flex: 0 0 270px;
}

.nav li.nav-item.larger:hover{

  flex: 0 0 250px;
}


.p-1-s-3 .part-contact .hr {
  opacity: 1;
    /* transform: translateY(0px); */

    transform: translateY(0px) translateX(-20%);
width: 130%;
}

.p-1-s-3 .part-contact .contact-headline {

  transform: translateX(0px);
  opacity: 1;
}


@media (max-width: 1070px) {

  .nav {
      display: none;
  }

  .p-1-s-3 .part-1 .hr {
      width: 500px;

          transform: translateX(0);
          margin-right: auto;
          margin-left: 0;
  }
  .p-1-s-3 .part-1 .name > .wrap {
      width: 400px;
  }
  .desc-b {
      width: 400px;
  }
}


@media (max-width: 992px) {



  .p-1-s-2 .main-button {
      width: 53%;
    }


}

@media (max-width: 800px) {


  .p-1-s-2 .part-1 .name > .wrap > .wrap2 {
    margin-left: 43%;
  }
  .p-1-s-2 .part-1 .hr {
    width: 60%;
  }
  .p-1-s-3 .part-1 .hr {
    width: 400px;
  }
  .desc-a {
    width: 52%;
    padding-right: 10px;
  }
  .p-1-s-3 .part-1 .name > .wrap > .wrap2 {
      margin-left: 0;
  }

}


@media (max-width: 610px) {


  .p-1-s-2 .part-1 .name > .wrap > .wrap2 {
      margin-left: 0;
  }
  .p-1-s-2 .part-1 .hr {
    width: 100%;
  }
  .p-1-s-2 .desc-a {
      width: 100%;
      text-align: center;
      padding: 70px 20px 0;
  }
  .p-1-s-2 .desc-a > .wrap {
      margin: auto;
  }
  .p-1-s-2 .main-button {
      width: 100%;
  }
  .p-1-s-3 .part-1 .hr {
      width: 400px;
  }

}

@media (max-width: 420px) {

  .p-1-s-3 .part-1 .hr {
      width: 300px;
    margin: 10px 0 20px;
  }
  .p-1-s-3 .part-1 .name > .wrap {
    width: 300px;
  }
  .name {
      font-size: 22px;
    }
  .name img {
    width: 22px;
  }
  .desc-b {
      width: 300px;
  }
  .part-contact {
      width: 300px;
  }
  .part-contact .contact-details a:first-of-type {
      display: block;
  }
  .p-1-s-3 .part-contact .hr {

    transform: translateY(0px);
    width: 100%;

  }

}



/*--------------ADDED BY JBL------------*/
.wrap3 {
    font-family: Montserrat;
}


.background .bg-overlay2 {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgb(41 28 14 / 10%);
}

.background .bg-overlay3 {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgb(41 28 14 / 0%);
}